
User Interface - Feature #3037

implement FRAME:NEXT-TAB-ITEM runtime support

03/23/2016 12:52 PM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No vendor_id: GCD

Description

Related issues:

Related to User Interface - Feature #1804: add missing UI attributes Closed 02/18/2013

History

#1 - 03/23/2016 02:58 PM - Greg Shah

It seems like NEXT-TAB-ITEM is fully implemented in our runtime (see GenericWidget.getNextTabItem(), LogicalTerminal.getNextTabItem() and

ThinClient.nextTabItem()).

Perhaps I am missing something?

#2 - 03/23/2016 03:00 PM - Constantin Asofiei

Greg Shah wrote:

It seems like NEXT-TAB-ITEM is fully implemented in our runtime (see GenericWidget.getNextTabItem(), LogicalTerminal.getNextTabItem() and

ThinClient.nextTabItem()).

Perhaps I am missing something?

 

See the getNextTabItem() in GenericFrame and FrameWidget - for the FRAME widget, this attribute is not supported.

#3 - 03/23/2016 04:06 PM - Greg Shah

- Subject changed from implement NEXT-TAB-ITEM runtime support to implement FRAME:NEXT-TAB-ITEM runtime support

- Target version deleted (Milestone 12)

OK, so our widget-level support is good, we just need to implement for FRAME.

I've checked the usage in the current customer app and it is always using non-frame widgets for NEXT-TAB-ITEM and/or the code is actually dead

code.

For this reason, I've removed this task from the customer milestone.
